# Lines configured by zsh-newuser-install
HISTFILE=~/.histfile
HISTSIZE=10000
SAVEHIST=10000
export HISTTIMEFORMAT="%h/%d - %H:%M:%S "
#export HISTCONTROL=ignoredups
export HISTCONTROL=erasedups

#export HISTIGNORE=”&:ls:[bf]g:exit”
setopt -h histappend
PROMPT_COMMAND='history -a'

setopt append_history autocd extendedglob nomatch
unsetopt beep
#force emacs binding for tmux && screen
bindkey -e
# End of lines configured by zsh-newuser-install
# The following lines were added by compinstall
zstyle :compinstall filename '/home/mathieu/.zshrc'

autoload -Uz compinit
compinit
# End of lines added by compinstall

# Add autocompletion for sudo when command is not in $PATH
zstyle ':completion:*:sudo:*' command-path /usr/local/sbin /usr/local/bin \
                           /usr/sbin /usr/bin /sbin /bin /usr/X11R6/bin

# Completion for bash fonctions
autoload -U bashcompinit
bashcompinit

# Correct for wrong command like sl
setopt correctall

# Activate Prompt
autoload -U promptinit
promptinit
#prompt adam1
prompt bart


# pushd pour cd
setopt  autopushd
# ne tue pas les processus quand zsh quitte
#setopt  nohup
# auto cd avec le nom du dossier
setopt  autocd

# Crée un cache des complétion possibles
# très utile pour les complétion qui demandent beaucoup de temps
# comme la recherche d'un paquet aptitude install moz<tab>
zstyle ':completion:*' use-cache on
zstyle ':completion:*' cache-path ~/.zsh_cache


# des couleurs pour la complétion
# faites un kill -9 <tab><tab> pour voir :)
zmodload zsh/complist
setopt extendedglob
zstyle ':completion:*:*:kill:*:processes' list-colors "=(#b) #([0-9]#)*=36=31"

#completion des hosts avec le contenue de know_hosts
#local _myhosts
#if [[ -f $HOME/.ssh/known_hosts ]]; then
#      _myhosts=( ${${${${(f)"$(<$HOME/.ssh/known_hosts)"}:#[0-9]*}%%\ *}%%,*} )
#        zstyle ':completion:*' hosts $_myhosts
#fi

#menu pour la completion
zstyle ':completion:*' menu select=2
zstyle ':completion:*' select-prompt %SScrolling active: current selection at %p%s


#Un grep avec des couleurs :
export GREP_COLOR=31
alias grep='grep --color=auto'


# support des type mimes -> ./toto.pdf
autoload -U zsh-mime-setup
autoload -U zsh-mime-handler
zsh-mime-setup

